Open CASCADE Technology: Poly_Triangle Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Poly_Triangle Class Reference

Describes a component triangle of a triangulation (Poly_Triangulation object). A Triangle is defined by a triplet of nodes. Each node is an index in the table of nodes specific to an existing triangulation of a shape, and represents a point on the surface. More...

`#include <Poly_Triangle.hxx>`

## Public Member Functions
| Poly_Triangle ()
| Constructs a triangle and sets all indices to zero. More...
| Poly_Triangle (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
| Constructs a triangle and sets its three indices to N1, N2 and N3 respectively, where these node values are indices in the table of nodes specific to an existing triangulation of a shape. More...
void | Set (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
| Sets the value of the three nodes of this triangle to N1, N2 and N3 respectively. More...
void | Set (const Standard_Integer Index, const Standard_Integer Node)
| Sets the value of the Indexth node of this triangle to Node. Raises OutOfRange if Index is not in 1,2,3. More...
void | Get (Standard_Integer &N1, Standard_Integer &N2, Standard_Integer &N3) const
| Returns the node indices of this triangle in N1, N2 and N3. More...
Standard_Integer | Value (const Standard_Integer Index) const
| Get the node of given Index. Raises OutOfRange from Standard if Index is not in 1,2,3. More...
Standard_Integer | operator() (const Standard_Integer Index) const
Standard_Integer & | ChangeValue (const Standard_Integer Index)
| Get the node of given Index. Raises OutOfRange if Index is not in 1,2,3. More...
Standard_Integer & | operator() (const Standard_Integer Index)

## Detailed Description

Describes a component triangle of a triangulation (Poly_Triangulation object). A Triangle is defined by a triplet of nodes. Each node is an index in the table of nodes specific to an existing triangulation of a shape, and represents a point on the surface.

## Constructor & Destructor Documentation

Poly_Triangle::Poly_Triangle | ( |  | ) |

Constructs a triangle and sets all indices to zero.

Poly_Triangle::Poly_Triangle | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |  |

Constructs a triangle and sets its three indices to N1, N2 and N3 respectively, where these node values are indices in the table of nodes specific to an existing triangulation of a shape.

## Member Function Documentation

Standard_Integer& Poly_Triangle::ChangeValue | ( | const Standard_Integer | Index | ) |

Get the node of given Index. Raises OutOfRange if Index is not in 1,2,3.

void Poly_Triangle::Get | ( | Standard_Integer & | N1,
|  | Standard_Integer & | N2,
|  | Standard_Integer & | N3
| ) |  | const

Returns the node indices of this triangle in N1, N2 and N3.

Standard_Integer Poly_Triangle::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Standard_Integer& Poly_Triangle::operator() | ( | const Standard_Integer | Index | ) |
| inline

void Poly_Triangle::Set | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |  |

Sets the value of the three nodes of this triangle to N1, N2 and N3 respectively.

void Poly_Triangle::Set | ( | const Standard_Integer | Index,
|  | const Standard_Integer | Node
| ) |  |

Sets the value of the Indexth node of this triangle to Node. Raises OutOfRange if Index is not in 1,2,3.

Standard_Integer Poly_Triangle::Value | ( | const Standard_Integer | Index | ) | const

Get the node of given Index. Raises OutOfRange from Standard if Index is not in 1,2,3.

The documentation for this class was generated from the following file:

- Poly_Triangle.hxx